## org.eclipse.emf.compare.epatch.applier
Interface EpatchMapping

All Known Implementing Classes:
  AbstractEpatchMapping, CopyingEpatchApplier.TriMap, InvertedEpatchMapping

    public interface EpatchMapping

Nested Class Summary
`static interface` `EpatchMapping.EpatchMappingEntry`

Method Summary
`java.util.Set<EpatchMapping.EpatchMappingEntry>` `getAllEntries()`
`EpatchMapping.EpatchMappingEntry` `getByDst(org.eclipse.emf.ecore.EObject dst)`
`EpatchMapping.EpatchMappingEntry` `getByPtc(NamedObject ptc)`
`EpatchMapping.EpatchMappingEntry` `getBySrc(org.eclipse.emf.ecore.EObject src)`
`java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `getDstResources()`
`java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>` `getDstToSrcMap()`
`java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource>` `getImportedResources()`
`java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource>` `getSrcResources()`
`java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject>` `getSrcToDstMap()`
`ApplyStrategy` `getStrategy()`
`void` `put(org.eclipse.emf.ecore.EObject src, org.eclipse.emf.ecore.EObject dst, NamedObject ptc)`

Method Detail

### getStrategy

    ApplyStrategy getStrategy()

### getAllEntries

    java.util.Set<EpatchMapping.EpatchMappingEntry> getAllEntries()

### getByDst

    EpatchMapping.EpatchMappingEntry getByDst(org.eclipse.emf.ecore.EObject dst)

### getByPtc

    EpatchMapping.EpatchMappingEntry getByPtc(NamedObject ptc)

### getBySrc

    EpatchMapping.EpatchMappingEntry getBySrc(org.eclipse.emf.ecore.EObject src)

### getDstResources

    java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> getDstResources()

### getDstToSrcMap

    java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject> getDstToSrcMap()

### getImportedResources

    java.util.Map<ModelImport,org.eclipse.emf.ecore.resource.Resource> getImportedResources()

### getSrcResources

    java.util.Map<NamedResource,org.eclipse.emf.ecore.resource.Resource> getSrcResources()

### getSrcToDstMap

    java.util.Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.EObject> getSrcToDstMap()

### put

    void put(org.eclipse.emf.ecore.EObject src,
             org.eclipse.emf.ecore.EObject dst,
             NamedObject ptc)

Copyright 2006 IBM Corporation and others. All Rights Reserved.